### A free/open-source library for quantitative finance

Classes | Public Member Functions
BasketOption Class Reference
Financial instruments

Basket option on a number of assets. More...

`#include <ql/instruments/basketoption.hpp>`

Inheritance diagram for BasketOption:
[legend]

List of all members.

## Classes

class | engine
| Basket-option engine base class More...

## Public Member Functions

| BasketOption (const boost::shared_ptr< BasketPayoff > &, const boost::shared_ptr< Exercise > &)

## Detailed Description

Basket option on a number of assets.